PublisherInterface
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.wrapper
Interface PublisherInterface

All Known Implementing Classes:
  PublisherServiceCall

    public interface PublisherInterface

Method Summary
`java.util.List<File>` | `getFileSetById(java.lang.String fileSetId)`
`java.util.List<File>` | `getFileSetsByCoverage(Resource source, java.lang.String parameters)`
`java.lang.String` | `getJsonSubmittedByFilters(java.util.List<Field> filters, PagedRequestSettings settings)`
`LayerInfo` | `getLayerById(java.lang.String layerId)`
`java.util.List<LayerInfo>` | `getLayersByCoverage(Resource source, java.lang.String parameters)`
`java.util.List<AquaMap>` | `getMapsBySpecies(java.lang.String[] speciesId, boolean includeGis, boolean includeCustom, java.util.List<Resource> resources)`

Method Detail

### getMapsBySpecies

    java.util.List<AquaMap> getMapsBySpecies(java.lang.String[] speciesId,
                                             boolean includeGis,
                                             boolean includeCustom,
                                             java.util.List<Resource> resources)
                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJsonSubmittedByFilters

    java.lang.String getJsonSubmittedByFilters(java.util.List<Field> filters,
                                               PagedRequestSettings settings)
                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getFileSetById

    java.util.List<File> getFileSetById(java.lang.String fileSetId)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getLayerById

    LayerInfo getLayerById(java.lang.String layerId)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getLayersByCoverage

    java.util.List<LayerInfo> getLayersByCoverage(Resource source,
                                                  java.lang.String parameters)
                                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getFileSetsByCoverage

    java.util.List<File> getFileSetsByCoverage(Resource source,
                                               java.lang.String parameters)
                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD